<script setup lang="ts">
import { userItemStore } from '@/stores/ItemList'
import { useMemberStore } from '@/stores/member'
import { useUserStore } from '@/stores/user'

const itemStore = userItemStore()
const memberStore = useMemberStore()
const userStore = useUserStore()
</script>
<template>
  <v-dialog v-model="itemStore.receiptDialog" persistent width="auto">
    <v-card>
      <v-card-title class="text-h5">
        <h3 style="text-align: center">D-Coffee</h3>
        <p style="font-size: 12px; text-align: center">
          สาขาสหเวช มหาวิทยาลัยบูรพา <br />
          {{
            new Date(itemStore.receipt.createdDate).toLocaleString('th-GB', {
              timeZone: 'Asia/Bangkok',
              dateStyle: 'short'
            })
          }}
          {{
            new Date(itemStore.receipt.createdDate).toLocaleString('th-GB', {
              timeStyle: 'short'
            })
          }}
          {{ userStore.loggedInUser?.name }}
        </p>
      </v-card-title>
      <v-container
        v-for="(item, index) in itemStore.itemLists"
        :key="index"
        style="font-size: 12px"
      >
        <v-row>
          <v-col cols="12" sm="3">{{ item.name }}</v-col>
          <v-col cols="12" sm="3">{{ item.price }} THB</v-col>
          <v-col cols="12" sm="3">x {{ item.unit }}</v-col>
          <v-col cols="12" sm="3">{{ item.price * item.unit }}</v-col>
        </v-row>
      </v-container>
      <v-container>
        <v-row no-gutters>
          <v-col cols="6">วิธีชำระ</v-col
          ><v-col cols="6">{{ itemStore.receipt?.paymentType }}</v-col>
          <v-col cols="6">สมาชิก</v-col
          ><v-col cols="6">{{ memberStore.currentMember?.name }}</v-col>
          <v-col cols="6">ยอดรวม</v-col><v-col cols="6">{{ itemStore.receipt?.total }}</v-col>
          <v-col cols="6">ส่วนลดสมาชิก</v-col
          ><v-col cols="6">{{ itemStore.receipt?.memberDiscount }}</v-col>
          <v-col cols="6">ยอดสุทธิ</v-col><v-col cols="6">{{ itemStore.receipt?.totalNet }}</v-col>
        </v-row>
        <v-row>
          <v-col cols="12" class="text-center">
            <v-img
              width="70%"
              height="70%"
              v-if="itemStore.receipt.paymentType === 'QR'"
              src="../public/QR/QR.jpg"
              class="mx-auto"
            ></v-img>
          </v-col>
        </v-row>
      </v-container>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn
          color="red"
          variant="text"
          @click="
            () => {
              itemStore.receiptDialog = false
              itemStore.clear()
            }
          "
        >
          Cancel
        </v-btn>
        <v-btn
          color="green"
          variant="text"
          @click="
            () => {
              itemStore.receiptDialog = false
              itemStore.clear()
            }
          "
        >
          Confirm
        </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>
